com.lowagie.text.pdf

## Class XfaForm.Xml2SomTemplate

- java.lang.Object
- - com.lowagie.text.pdf.XfaForm.Xml2Som
  - - com.lowagie.text.pdf.XfaForm.Xml2SomTemplate

- Enclosing class:
    XfaForm

      public static class XfaForm.Xml2SomTemplate
      extends XfaForm.Xml2Som

  Processes the template section in the XFA form.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `dynamicForm`
    `private int` | `templateLevel`

    - ### Fields inherited from class com.lowagie.text.pdf.XfaForm.Xml2Som

      `anform, inverseSearch, name2Node, order, stack`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XfaForm.Xml2SomTemplate(org.w3c.dom.Node n)` Creates a new instance from the datasets node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFieldType(java.lang.String s)` Gets the field type as described in the `template` section of the XFA.
    `boolean` | `isDynamicForm()` `true` if it's a dynamic form; `false` if it's a static form.
    `private void` | `processTemplate(org.w3c.dom.Node n, java.util.HashMap ff)`
    `void` | `setDynamicForm(boolean dynamicForm)` Sets the dynamic form flag.

    - ### Methods inherited from class com.lowagie.text.pdf.XfaForm.Xml2Som

      `escapeSom, getInverseSearch, getName2Node, getOrder, getShortName, inverseSearchAdd, inverseSearchAdd, inverseSearchGlobal, printStack, setInverseSearch, setName2Node, setOrder, splitParts, unescapeSom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dynamicForm

          private boolean dynamicForm

    - #### templateLevel

          private int templateLevel

  - ### Constructor Detail

    - #### XfaForm.Xml2SomTemplate

          public XfaForm.Xml2SomTemplate(org.w3c.dom.Node n)

      Creates a new instance from the datasets node.
      Parameters:
        `n` - the template node

  - ### Method Detail

    - #### getFieldType

          public java.lang.String getFieldType(java.lang.String s)

      Gets the field type as described in the `template` section of the XFA.
      Parameters:
        `s` - the exact template name
      Returns:
        the field type or `null` if not found

    - #### processTemplate

          private void processTemplate(org.w3c.dom.Node n,
                             java.util.HashMap ff)

    - #### isDynamicForm

          public boolean isDynamicForm()

      `true` if it's a dynamic form; `false` if it's a static form.
      Returns:
        `true` if it's a dynamic form; `false` if it's a static form

    - #### setDynamicForm

          public void setDynamicForm(boolean dynamicForm)

      Sets the dynamic form flag. It doesn't change the template.
      Parameters:
        `dynamicForm` - the dynamic form flag